filesystems/fuse - The NetBSD Packages Collection

Filesystem in Userspace

With FUSE it is possible to implement a fully functional file system in a
userspace program.  Features include:

* Simple library API
* Simple installation (no need to patch or recompile the kernel)
* Secure implementation
* Userspace - kernel interface is very efficient
* Usable by non privileged users
* Runs on Linux kernels 2.4.X and 2.6.X
* Has proven very stable over time

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hffuse-2.9.3.tgz
NetBSD 8.0earmv7hffuse-2.9.3.tgz
NetBSD 8.0earmv7hffuse-2.9.3.tgz
NetBSD 8.0earmv7hffuse-2.9.3.tgz
NetBSD 8.0i386fuse-2.9.3.tgz
NetBSD 8.0i386fuse-2.9.3.tgz
NetBSD 8.0i386fuse-2.9.3.tgz
NetBSD 8.0i386fuse-2.9.3.tgz
NetBSD 8.0powerpcfuse-2.9.3.tgz
NetBSD 8.0powerpcfuse-2.9.3.tgz
NetBSD 8.0powerpcfuse-2.9.3.tgz
NetBSD 8.0powerpcfuse-2.9.3.tgz
NetBSD 8.0powerpcfuse-2.9.3.tgz
NetBSD 8.0x86_64fuse-2.9.3.tgz
NetBSD 8.0x86_64fuse-2.9.3.tgz
NetBSD 8.0x86_64fuse-2.9.3.tgz
NetBSD 8.0x86_64fuse-2.9.3.tgz
NetBSD 9.0aarch64fuse-2.9.3.tgz
NetBSD 9.0aarch64fuse-2.9.3.tgz
NetBSD 9.0aarch64fuse-2.9.3.tgz
NetBSD 9.0aarch64fuse-2.9.3.tgz
NetBSD 9.0aarch64fuse-2.9.3.tgz
NetBSD 9.0alphafuse-2.9.3.tgz
NetBSD 9.0alphafuse-2.9.3.tgz
NetBSD 9.0alphafuse-2.9.3.tgz
NetBSD 9.0earmfuse-2.9.3.tgz
NetBSD 9.0earmfuse-2.9.3.tgz
NetBSD 9.0earmfuse-2.9.3.tgz
NetBSD 9.0earmv6hffuse-2.9.3.tgz
NetBSD 9.0earmv6hffuse-2.9.3.tgz
NetBSD 9.0earmv6hffuse-2.9.3.tgz
NetBSD 9.0earmv6hffuse-2.9.3.tgz
NetBSD 9.0earmv6hffuse-2.9.3.tgz
NetBSD 9.0earmv6hffuse-2.9.3.tgz
NetBSD 9.0earmv7hffuse-2.9.3.tgz
NetBSD 9.0earmv7hffuse-2.9.3.tgz
NetBSD 9.0earmv7hffuse-2.9.3.tgz
NetBSD 9.0earmv7hffuse-2.9.3.tgz
NetBSD 9.0earmv7hffuse-2.9.3.tgz
NetBSD 9.0earmv7hffuse-2.9.3.tgz
NetBSD 9.0earmv7hffuse-2.9.3.tgz
NetBSD 9.0earmv7hffuse-2.9.3.tgz
NetBSD 9.0i386fuse-2.9.3.tgz
NetBSD 9.0i386fuse-2.9.3.tgz
NetBSD 9.0i386fuse-2.9.3.tgz
NetBSD 9.0i386fuse-2.9.3.tgz
NetBSD 9.0m68kfuse-2.9.3.tgz
NetBSD 9.0m68kfuse-2.9.3.tgz
NetBSD 9.0m68kfuse-2.9.3.tgz
NetBSD 9.0mips64ebfuse-2.9.3.tgz
NetBSD 9.0mips64ebfuse-2.9.3.tgz
NetBSD 9.0mips64ebfuse-2.9.3.tgz
NetBSD 9.0mips64ebfuse-2.9.3.tgz
NetBSD 9.0mips64ebfuse-2.9.3.tgz
NetBSD 9.0mipselfuse-2.9.3.tgz
NetBSD 9.0mipselfuse-2.9.3.tgz
NetBSD 9.0mipselfuse-2.9.3.tgz
NetBSD 9.0mipselfuse-2.9.3.tgz
NetBSD 9.0powerpcfuse-2.9.3.tgz
NetBSD 9.0powerpcfuse-2.9.3.tgz
NetBSD 9.0powerpcfuse-2.9.3.tgz
NetBSD 9.0powerpcfuse-2.9.3.tgz
NetBSD 9.0powerpcfuse-2.9.3.tgz
NetBSD 9.0sh3elfuse-2.9.3.tgz
NetBSD 9.0sh3elfuse-2.9.3.tgz
NetBSD 9.0sh3elfuse-2.9.3.tgz
NetBSD 9.0sh3elfuse-2.9.3.tgz
NetBSD 9.0sparc64fuse-2.9.3.tgz
NetBSD 9.0sparc64fuse-2.9.3.tgz
NetBSD 9.0sparc64fuse-2.9.3.tgz
NetBSD 9.0sparcfuse-2.9.3.tgz
NetBSD 9.0sparcfuse-2.9.3.tgz
NetBSD 9.0sparcfuse-2.9.3.tgz
NetBSD 9.0sparcfuse-2.9.3.tgz
NetBSD 9.0sparcfuse-2.9.3.tgz
NetBSD 9.0vaxfuse-2.9.3.tgz
NetBSD 9.0vaxfuse-2.9.3.tgz
NetBSD 9.0vaxfuse-2.9.3.tgz
NetBSD 9.0vaxfuse-2.9.3.tgz
NetBSD 9.0x86_64fuse-2.9.3.tgz
NetBSD 9.0x86_64fuse-2.9.3.tgz
NetBSD 9.0x86_64fuse-2.9.3.tgz
NetBSD 9.0x86_64fuse-2.9.3.tgz
NetBSD 9.0x86_64fuse-2.9.3.tgz
NetBSD 9.0x86_64fuse-2.9.3.tgz
NetBSD 9.0x86_64fuse-2.9.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.